/*********************************************************************************************************
* Software License Agreement (BSD License)                                                               *
* Author: Sebastien Decugis <sdecugis@nict.go.jp>							 *
*													 *
* Copyright (c) 2008, WIDE Project and NICT								 *
* All rights reserved.											 *
* 													 *
* Redistribution and use of this software in source and binary forms, with or without modification, are  *
* permitted provided that the following conditions are met:						 *
* 													 *
* * Redistributions of source code must retain the above 						 *
*   copyright notice, this list of conditions and the 							 *
*   following disclaimer.										 *
*    													 *
* * Redistributions in binary form must reproduce the above 						 *
*   copyright notice, this list of conditions and the 							 *
*   following disclaimer in the documentation and/or other						 *
*   materials provided with the distribution.								 *
* 													 *
* * Neither the name of the WIDE Project or NICT nor the 						 *
*   names of its contributors may be used to endorse or 						 *
*   promote products derived from this software without 						 *
*   specific prior written permission of WIDE Project and 						 *
*   NICT.												 *
* 													 *
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED *
* WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A *
* PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR *
* ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 	 *
* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 	 *
* INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR *
* TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF   *
* ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.								 *
*********************************************************************************************************/

/* Peers facility.
 *
 * Handle the peers.
 *
 * See peer-api.h and peer.h for more information on the functions 
 *
 */

#include "waaad-internal.h"

#include "peer-internal.h"	


/* Initialize the module */
int peer_init ( void )
{
	TRACE_ENTRY( "" );
	TRACE_DEBUG (INFO, "@@@ Not implemented yet." );
	return 0;
}

/* End of the module */
int peer_fini ( void )
{
	TRACE_ENTRY( "" );
	TRACE_DEBUG (INFO, "@@@ Not implemented yet." );
	return 0;
}

/* Add a new peer */
int peer_add ( peer_add_t * data )
{
	TRACE_ENTRY( "%p", data );
	TRACE_DEBUG (INFO, "@@@ Not implemented yet." );
	return 0;
}

/* Allow the peers to start connexions */
int peer_start ( void )
{
	int ret = 0;
	
	TRACE_ENTRY( "" );
	
	/* Accept incoming connections */
	
	/* Now move all peers in the "closed" state and start their state machine threads */
	
	/* ... */
	
	TRACE_DEBUG (INFO, "@@@ %s: not implemented yet.", __FUNCTION__ );
	return ENOTSUP;
}

/* Get some information from a peer_t opaque object */
int peer_get ( peer_t * peer, peer_info_t what, void **result )
{
	TRACE_ENTRY( "%p %d %p", peer, what, result );
	TRACE_DEBUG (INFO, "@@@ %s: not implemented yet.", __FUNCTION__ );
	return ENOTSUP;
}

